package com.yc.ship.module.trade.service.smsSendconfig;


/**
 * 短信发送配置 Service 接口
 *
 * @author 管理员
 */
public interface MessageSendService {


    /**
     * 您的留位订单即将过期（开航前 8 天 中午12:00）
     */
    void sendMsg1();
    /**
     * 【留位】（开航前22天中午12:00）
     */
    void sendMsg2();

    /**
     * 【留位】开航前8天提醒 中午12：00
     */
    void sendMsg3();

    /**
     * 【锁定】开航前2天00:00仍未付款
     */
    void sendMsg4();


    /**
     * 【锁定】开航前8天提醒中午12：00
     */
    void sendMsg5();

    /**
     * 【锁定】开航前14天中午12：00
     */
    void sendMsg6();

    /**
     * 【锁定】开航前22天中午12：00
     */
    void sendMsg8();

    /**
     * 【出发】开航前7天中午12点
     */
    void sendMsg9();

    /**
     * 出团前1天上午8点
     */
    void sendMsg10();
}